Epic # 65314 (New): PHP7

Status: Under Review Priority: Should have
TYPOS3 Version: 6.2

PHP Version: 7.0

Complexity:

Is Regression: No

Sprint Focus:

Subject: PHP Memory issue in

TYPO3\CMS\Extbase\Tests\Unit\Mvc\Web\RequestBuilderTest::buildThrowsExceptionlfControllerConfigurati
onlsEmptyOrNotSet

Description

The test crashes PHP7 with a memory corruption if TYPO3\CMS\Extbase\Tests\Unit\Mvc\Web\RequestBuilderTest is tested
completely. As StandAlone Test it returns

1) TYPO3\CMS\Extbase\Tests\Unit\Mvc\Web\RequestBuilderTest::buildThrowsExceptionlfControllerConfigurationlsEmptyOrNotSet
lllegal offset type

typo3-master/typo3-src/typo3/sysext/extbase/Classes/Mvc/Web/RequestBuilder.php:202
typo3-master/typo3-src/typo3/sysext/extbase/Classes/Mvc/Web/RequestBuilder.php:134
typo3-master/typo3-src/typo3/sysext/extbase/Tests/Unit/Mvc/Web/RequestBuilderTest.php:250
neos-git/Packages/Libraries/phpunit/phpunit/src/TextUl/Command.php:153
neos-git/Packages/Libraries/phpunit/phpunit/src/TextUl/Command.php:105
neos-git/Packages/Libraries/phpunit/phpunit/phpunit7:56

=> Build PHP7 with debug.
=> Open an issue in PHP 7 issue tracker.

History

#1 - 2015-05-12 12:27 - Alexander Opitz

- Subject changed from Extbase tests crash to PHP Memory issue in
TYPO3\CMS\Extbase\Tests\Unit\Mvc\Web\RequestBuilder Test::build ThrowsExceptionlfControllerConfigurationlsEmptyOrNotSet
- Description updated

#2 - 2015-05-12 12:30 - Alexander Opitz
- Description updated

#3 - 2015-05-20 17:09 - Alexander Opitz

Entry in PHP issue tracker: https://bugs.php.net/bug.php?id=69674

#4 - 2015-05-20 17:10 - Alexander Opitz
- Status changed from New to In Progress
- Assigned To set to Alexander Opitz
#5 - 2015-07-29 10:12 - Alexander Opitz

- Status changed from In Progress to Closed

Issue is solved upstream and pushed to git. Daily builds don't crash anymore.

#6 - 2015-07-29 11:09 - Alexander Opitz
- Status changed from Closed to In Progress

Reactivate Test for PHP7

#7 - 2015-07-29 11:11 - Gerrit Code Review

- Status changed from In Progress to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/42082
